%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-File-Find-Rule
Version:       0.33
Release:       2mamba
Summary:       File::Find::Rule - Alternative interface to File::Find
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/File-Find-Rule-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-Number-Compare
BuildRequires: perl-Text-Glob
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
File::Find::Rule is a friendlier interface to File::Find. It allows you to build rules which specify the desired files and directories.

%prep

%setup -q -n File-Find-Rule-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make %{?_smp_mflags}
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-2mamba
- perl 5.16 mass rebuild

* Sat Nov 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-1mamba
- update to 0.33

* Mon Aug 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30-5mamba
- rebuilt with perl 5.12

* Thu Oct 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30-4mamba
- rebuilt with perl 5.10.1

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30-3mamba
- automatic rebuild by autodist

* Thu Oct 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30-2mamba
- rebuilt with perl 5.10

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.30-1mamba
- package created by autospec
